---
title: Search inferred DEM journeys
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > DEM
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Search inferred DEM journeys{% #search-inferred-dem-journeys %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                          |
| ----------------- | --------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/dem/journeys/inferred/search |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/dem/journeys/inferred/search |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/dem/journeys/inferred/search      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/dem/journeys/inferred/search      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/dem/journeys/inferred/search  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/dem/journeys/inferred/search |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/dem/journeys/inferred/search     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/dem/journeys/inferred/search |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/dem/journeys/inferred/search |

### Overview

Search for inferred DEM journeys by status. Returns candidates (status=candidate, the default) or ignored journeys (status=ignored). Supports optional fuzzy name filtering and app ID filtering. This endpoint requires the `synthetics_read` permission.

### Arguments

#### Query Strings

| Name   | Type   | Description                                                                                                                                                                                                      |
| ------ | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| status | enum   | Filter by inferred journey status. Use `candidate` (default) to retrieve journeys suggested for promotion, or `ignored` to retrieve journeys that have been dismissed. Allowed enum values: `candidate, ignored` |
| q      | string | Fuzzy search query to filter inferred journeys by name.                                                                                                                                                          |
| app_id | string | Filter inferred journeys by application ID.                                                                                                                                                                      |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response body for searching inferred journeys. Contains either candidate or ignored items depending on the `status` query parameter.

| Field                  | Type | Description                                                  |
| ---------------------- | ---- | ------------------------------------------------------------ |
| data [*required*] | []   | List of inferred journey items matching the search criteria. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": []
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/dem/journeys/inferred/search" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
